(setq gnus-select-method '(nntp "news.gmane.org"))
(setq gnus-secondary-select-methods
      '((nnmaildir "gmail"
                   (directory "~/documents/mail/gmail/"))
        (nnmaildir "ninthfloor"
                   (directory "~/documents/mail/ninthfloor/"))
        (nnmaildir "aethon"
                   (directory "~/documents/mail/aethon/"))
        (nnmaildir "ryuslash"
                   (directory "~/documents/mail/ryuslash.org/"))
        (nntp "news.gwene.org")))
(setq gnus-auto-subscribed-groups nil)
(setq gnus-extra-headers '(To))
(setq gnus-save-newsrc-file nil)
(setq gnus-read-newsrc-file nil)
(setq gnus-novice-user t)
(setq gnus-article-truncate-lines nil)
;; (setq gnus-parameters
;;       '(("gmail"
;;          (display . all))
;;         ("aethon"
;;          (display . all)
;;         ("arch"
;;          (display . all)))))
(setq gnus-permanently-visible-groups
      (eval-when-compile
        (regexp-opt '("gmail:inbox"
                      "aethon:inbox"
                      "ninthfloor:inbox"
                      "ryuslash:inbox"))))
(setq nntp-marks-is-evil t)
(setq gnus-check-new-newsgroups nil)
(setq gnus-posting-styles
      '((".*"
         (address "tom@ryuslash.org")
         (eval (setq message-sendmail-extra-arguments '("-a" "ryuslash")
                     flyspell-default-dictionary "en")))
        ("gmail:"
         (address "ryuslash@gmail.com")
         (eval (setq message-sendmail-extra-arguments '("-a" "gmail"))))
        ("ninthfloor:"
         (address "ryuslash@ninthfloor.org")
         (eval (setq message-sendmail-extra-arguments '("-a" "ninthfloor"))))
        ("arch:"
         (address "tom.willemsen@archlinux.us")
         (eval (setq message-sendmail-extra-arguments '("-a" "arch"))))
        ("aethon:"
         (name "Tom Willemsen")
         (address "thomas@aethon.nl")
         (signature-file "~/documents/work/aethon/signature.txt")
         (eval (setq message-sendmail-extra-arguments '("-a" "aethon")
                     flyspell-default-dictionary "nl")))))
(add-hook 'gnus-group-mode-hook 'gnus-topic-mode)
;-----[ BBDB ]--------------------------------------------------------
;; (require 'bbdb)
;; (bbdb-initialize 'gnus 'message)
;; (bbdb-insinuate-gnus)
;; (setq bbdb-north-american-phone-numbers-p nil)
